curl --request POST \
--url 'https://prod-api.stateset.cloud.stateset.app/api/v1/returns/{id}/approve' \
--header 'Authorization: Bearer YOUR_API_KEY'
{
"data": {
"created_at": "2024-12-09T10:30:00Z",
"id": "880e8400-e29b-41d4-a716-446655440000",
"order_id": "550e8400-e29b-41d4-a716-446655440000",
"reason": "Product arrived damaged - scratches on surface",
"status": "pending",
"updated_at": "2024-12-09T10:30:00Z"
},
"errors": [
"string"
],
"message": "Two-person tent, green — replacement for damaged pole set.",
"meta": {
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"timestamp": "2026-08-31T14:22:05Z"
},
"success": true
}
Approve a return
Approve a return
POST
/
api
/
v1
/
returns
/
{id}
/
approve
curl --request POST \
--url 'https://prod-api.stateset.cloud.stateset.app/api/v1/returns/{id}/approve' \
--header 'Authorization: Bearer YOUR_API_KEY'
{
"data": {
"created_at": "2024-12-09T10:30:00Z",
"id": "880e8400-e29b-41d4-a716-446655440000",
"order_id": "550e8400-e29b-41d4-a716-446655440000",
"reason": "Product arrived damaged - scratches on surface",
"status": "pending",
"updated_at": "2024-12-09T10:30:00Z"
},
"errors": [
"string"
],
"message": "Two-person tent, green — replacement for damaged pole set.",
"meta": {
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"timestamp": "2026-08-31T14:22:05Z"
},
"success": true
}
Path parameters
string (uuid)
required
Return ID
Response
ApiResponse_ReturnSummary
object
Show data
Show data
array,null
string,null
boolean
required
Status codes
| Code | Meaning |
|---|---|
200 | Return approved |
404 | Return not found |
curl --request POST \
--url 'https://prod-api.stateset.cloud.stateset.app/api/v1/returns/{id}/approve' \
--header 'Authorization: Bearer YOUR_API_KEY'
{
"data": {
"created_at": "2024-12-09T10:30:00Z",
"id": "880e8400-e29b-41d4-a716-446655440000",
"order_id": "550e8400-e29b-41d4-a716-446655440000",
"reason": "Product arrived damaged - scratches on surface",
"status": "pending",
"updated_at": "2024-12-09T10:30:00Z"
},
"errors": [
"string"
],
"message": "Two-person tent, green — replacement for damaged pole set.",
"meta": {
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"timestamp": "2026-08-31T14:22:05Z"
},
"success": true
}
Last modified on August 31, 2026